Subject: IKEv2 lack of prf input encoding spec

From: Fukumoto Atsushi <[email-masked]>
Date: Mon, 03 Feb 2003 16:39:48 +0900

ikev2-04 does not specify the encoding of g^ir shared secrets (neither
did previous IKE spec).  My guess is, "g^ir as prf input MUST be
encoded as a network-order (big-endian) byte string whose length is
equal to the byte length of MODP modulo or EC2N field."  Unless it is
very obvious to everybody besides me, I think you need to elaborate,
else it seems ambiguous especially when the MSB of g^ir happen to be
zero.

					FUKUMOTO Atsushi
					[email-masked]